View Issue Details

IDProjectCategoryView StatusLast Update
0006191GNUnetHTTP transportpublic2020-07-09 09:17
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.13.0Fixed in Version0.13.0 
Summary0006191: Content-Type must tolerate charset information
DescriptionThe JSON parser right now doesn't accept Content-Type:-header lines WITH the charset information. For example,
a request carrying such header line "Content-Type: application/json; charset=UTF-8" gets rejected by the parser.

It should be adapted to tolerate such cases.
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-21 20:48

manager   ~0015728

Fixed in 13ceb583b..bf99d2243

schanzen

2020-07-09 09:17

manager   ~0016423

0.13.0 released

Issue History

Date Modified Username Field Change
2020-04-21 13:34 Marcello Stanisci New Issue
2020-04-21 14:06 Christian Grothoff Assigned To => Christian Grothoff
2020-04-21 14:06 Christian Grothoff Status new => assigned
2020-04-21 14:06 Christian Grothoff Severity minor => major
2020-04-21 14:06 Christian Grothoff Product Version => Git master
2020-04-21 14:06 Christian Grothoff Target Version => 0.12.2
2020-04-21 20:48 Christian Grothoff Status assigned => resolved
2020-04-21 20:48 Christian Grothoff Resolution open => fixed
2020-04-21 20:48 Christian Grothoff Fixed in Version => 0.12.2
2020-04-21 20:48 Christian Grothoff Note Added: 0015728
2020-04-23 10:44 schanzen Fixed in Version 0.12.2 => 0.13.0
2020-04-23 10:47 schanzen Target Version 0.12.2 => 0.13.0
2020-06-01 00:49 Adminknox Issue cloned: 0006310
2020-06-01 00:52 Adminknox Issue cloned: 0006342
2020-07-09 09:17 schanzen Note Added: 0016423
2020-07-09 09:17 schanzen Status resolved => closed